package com.bohuikeji.frame.module.admin.mp.injector;

import com.baomidou.mybatisplus.core.injector.AbstractMethod;
import com.baomidou.mybatisplus.core.injector.DefaultSqlInjector;
import com.bohuikeji.frame.module.admin.mp.method.SelectColumnById;

import java.util.List;

/**
 * 自定义SQL注入器
 * 参考实现：https://gitee.com/baomidou/mybatis-plus-samples/tree/master/mybatis-plus-sample-deluxe
 * @author 孙劲辉
 */
public class RanchSqlInjector extends DefaultSqlInjector {

    @Override
    public List<AbstractMethod> getMethodList() {
        List<AbstractMethod> methodList = super.getMethodList();
        //注入自定义方法
        methodList.add(new SelectColumnById());
        return methodList;
    }


}
